package sum.test;

import java.io.File;
import java.util.Properties;
import javax.jdo.JDOHelper;
import javax.jdo.PersistenceManager;
import javax.jdo.PersistenceManagerFactory;
import javax.jdo.Query;

/**
 *
 * @author steve
 */
public class SumTest {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        File file = new File("test.odb");
        if (file.exists()) {
            file.delete();
        }
        file = new File("test.odb$");
        if (file.exists()) {
            file.delete();
        }
        Properties properties = new Properties();
        properties.setProperty("javax.jdo.option.ConnectionURL", "test.odb");
        properties.setProperty("javax.jdo.option.NontransactionalRead", "true");

        PersistenceManagerFactory pmf = JDOHelper.getPersistenceManagerFactory(properties);
        PersistenceManager pm = pmf.getPersistenceManager();
        for (int size = 1; size < 10; size++) {
            pm.currentTransaction().begin();
            for (int i = 0; i < size; i++) {
                Test t = new Test();
                t.setNumber(i);
                pm.makePersistent(t);
            }
            pm.currentTransaction().commit();
            Query query = pm.newQuery(Test.class);
            query.setResult("sum(number)");
            Object result = query.execute();
            System.out.println(result.getClass());
            query.closeAll();
        }
        pm.close();

    }

}
